RAND_add(3)

NAME
RAND_add, RAND_seed, RAND_status - add entropy to the PRNG (DEPRECATED)

SYNOPSIS
 #include <openssl/rand.h>

 void RAND_seed(const void *buf, int num);

 void RAND_add(const void *buf, int num, double entropy);

 int  RAND_status(void);

DESCRIPTION
These functions used to allow for the state of the random number generator to be controlled by external sources.

They are kept for ABI compatibility but are no longer functional, and should not be used in new programs.

SEE ALSO
rand(3), RAND_load_file(3), RAND_cleanup(3)